autofs-5.1.3 - make map source reference message debug only

From: Ian Kent <raven@themaw.net>

The message "map source used without taking reference" was added during
development of an additional amd format map feature.

It appears far too often but hasn't been seen to be a real problem so
make it a debug only message and postpone deeper investigation until
later.

Signed-off-by: Ian Kent <raven@themaw.net>
---
 CHANGELOG    |    1 +
 lib/master.c |    2 +-
 2 files changed, 2 insertions(+), 1 deletion(-)

diff --git a/CHANGELOG b/CHANGELOG
index a2f2daf7..77c35af6 100644
--- a/CHANGELOG
+++ b/CHANGELOG
@@ -32,6 +32,7 @@ xx/xx/2017 autofs-5.1.4
 - make open_lookup() error handling more consistent.
 - be silent about sss library not found.
 - be silent about nis domain not set.
+- make map source reference message debug only.
 
 24/05/2017 autofs-5.1.3
 =======================
diff --git a/lib/master.c b/lib/master.c
index a144a39d..76717d57 100644
--- a/lib/master.c
+++ b/lib/master.c
@@ -234,7 +234,7 @@ master_add_map_source(struct master_mapent *entry,
 
 		this = __master_find_map_source(entry, type, format, argc, tmpargv);
 		if (this) {
-			error(entry->ap->logopt,
+			debug(entry->ap->logopt,
 			      "map source used without taking reference");
 			this->age = age;
 			master_free_map_source(source, 0);
